Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 834260 - dev-ruby/rbs-2.2.2 fails tests
Summary: dev-ruby/rbs-2.2.2 fails tests
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Ruby Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-27 09:52 UTC by Agostino Sarubbo
Modified: 2022-06-22 04:30 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,94.09 KB, text/plain)
2022-02-27 09:52 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2022-02-27 09:52:03 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-ruby/rbs-2.2.2 fails tests.
Discovered on: amd64 (internal ref: ci)
Comment 1 Agostino Sarubbo gentoo-dev 2022-02-27 09:52:05 UTC
Created attachment 765925 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2022-02-27 09:52:06 UTC
Error(s) that match a know pattern:


Error: test_collection_install_frozen(RBS::CliTest):
Error: test_collection_install(RBS::CliTest):
Error: test_collection_update(RBS::CliTest):
Error: test_generate_lock_from_collection_repository_ignoring(RBS::Collection::ConfigTest):
Error: test_generate_lock_from_collection_repository(RBS::Collection::ConfigTest):
Error: test_generate_lock_from_collection_repository_specified(RBS::Collection::ConfigTest):
Error: test_generate_lock_from_collection_repository_with_lockfile(RBS::Collection::ConfigTest):
Error: test_generate_lock_from_collection_with_manifest_yaml(RBS::Collection::ConfigTest):
Error: test_generate_lock_from_relative_git_repository(RBS::Collection::ConfigTest): RuntimeError: Command failed with exit 128: git
Error: test_generate_lock_from_stdlib(RBS::Collection::ConfigTest):
Error: test_has?(RBS::CollectionSourcesGitTest):
Error: test_install_from_git(RBS::Collection::InstallerTest):
Error: test_loading_from_rbs_collection(RBS::EnvironmentLoaderTest):
Error: test_versions(RBS::CollectionSourcesGitTest):
  RBS::Collection::Sources::Git::CommandError: Unexpected status 128
Comment 3 Hans de Graaff gentoo-dev 2022-06-22 04:30:32 UTC
This should have been fixed starting from rbs-2.3.1